Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.impl.model.api
Interface AuditTask

All Known Implementing Classes:
  AuditTaskImpl

    public interface AuditTask

Method Summary
`Date` | `getActivationTime()`
`String` | `getActualOwner()`
`String` | `getCreatedBy()`
`Date` | `getCreatedOn()`
`String` | `getDeploymentId()`
`String` | `getDescription()`
`Date` | `getDueDate()`
`String` | `getName()`
`long` | `getParentId()`
`int` | `getPriority()`
`String` | `getProcessId()`
`long` | `getProcessInstanceId()`
`int` | `getProcessSessionId()`
`String` | `getStatus()`
`long` | `getTaskId()`
`void` | `setActivationTime(Date activationTime)`
`void` | `setActualOwner(String actualOwner)`
`void` | `setCreatedBy(String createdBy)`
`void` | `setCreatedOn(Date createdOn)`
`void` | `setDeploymentId(String deploymentId)`
`void` | `setDescription(String description)`
`void` | `setDueDate(Date dueDate)`
`void` | `setName(String name)`
`void` | `setParentId(long parentId)`
`void` | `setPriority(int priority)`
`void` | `setProcessId(String processId)`
`void` | `setProcessInstanceId(long processInstanceId)`
`void` | `setProcessSessionId(int processSessionId)`
`void` | `setStatus(String status)`
`void` | `setTaskId(long taskId)`

Method Detail

### getTaskId

    long getTaskId()

### setTaskId

    void setTaskId(long taskId)

### getStatus

    String getStatus()

### setStatus

    void setStatus(String status)

### getActivationTime

    Date getActivationTime()

### setActivationTime

    void setActivationTime(Date activationTime)

### getName

    String getName()

### setName

    void setName(String name)

### getDescription

    String getDescription()

### setDescription

    void setDescription(String description)

### getPriority

    int getPriority()

### setPriority

    void setPriority(int priority)

### getCreatedBy

    String getCreatedBy()

### setCreatedBy

    void setCreatedBy(String createdBy)

### getCreatedOn

    Date getCreatedOn()

### setCreatedOn

    void setCreatedOn(Date createdOn)

### getDueDate

    Date getDueDate()

### setDueDate

    void setDueDate(Date dueDate)

### getProcessInstanceId

    long getProcessInstanceId()

### setProcessInstanceId

    void setProcessInstanceId(long processInstanceId)

### getProcessId

    String getProcessId()

### setProcessId

    void setProcessId(String processId)

### getProcessSessionId

    int getProcessSessionId()

### setProcessSessionId

    void setProcessSessionId(int processSessionId)

### getParentId

    long getParentId()

### setParentId

    void setParentId(long parentId)

### getActualOwner

    String getActualOwner()

### setActualOwner

    void setActualOwner(String actualOwner)

### getDeploymentId

    String getDeploymentId()

### setDeploymentId

    void setDeploymentId(String deploymentId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.